> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tranthor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a journey's version history

> A journey's version history: what it went live with, newest first.



## OpenAPI

````yaml get /api/admin/journeys/versions
openapi: 3.1.0
info:
  title: Tranthor API
  description: Tranthor API Swagger Documentation
  version: 0.0.1
servers: []
security: []
paths:
  /api/admin/journeys/versions:
    get:
      tags:
        - Journeys
      description: 'A journey''s version history: what it went live with, newest first.'
      parameters:
        - schema:
            type: string
          in: query
          name: workspaceId
          required: true
        - schema:
            type: string
          in: query
          name: journeyId
          required: true
        - schema:
            type: boolean
          in: query
          name: counts
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  versions:
                    type: array
                    items:
                      type: object
                      properties:
                        version:
                          type: number
                        liveFrom:
                          type: number
                        liveUntil:
                          anyOf:
                            - type: number
                            - type: 'null'
                        isLive:
                          type: boolean
                        summary:
                          type: string
                        publishedBy:
                          anyOf:
                            - type: object
                              properties:
                                name:
                                  type: string
                              required:
                                - name
                            - type: 'null'
                        entered:
                          type: number
                        stillFinishing:
                          type: number
                        definition:
                          type: object
                          properties:
                            entryNode:
                              anyOf:
                                - title: Segment Entry Node
                                  description: >-
                                    The first node in a journey - triggered when
                                    a user enters a segment.
                                  type: object
                                  properties:
                                    type:
                                      type: string
                                      enum:
                                        - EntryNode
                                    segment:
                                      type: string
                                    child:
                                      type: string
                                  required:
                                    - type
                                    - segment
                                    - child
                                - title: Event Entry Node
                                  description: >-
                                    The first node in a journey - triggered when
                                    a user performs a specific event.
                                  type: object
                                  properties:
                                    type:
                                      type: string
                                      enum:
                                        - EventEntryNode
                                    event:
                                      type: string
                                    key:
                                      type: string
                                    child:
                                      type: string
                                  required:
                                    - type
                                    - event
                                    - child
                            exitNode:
                              title: Exit Node
                              description: >-
                                Defines when a user exits a journey. Allows
                                users to re-enter the journey, under some set of
                                conditions.
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - ExitNode
                              required:
                                - type
                            nodes:
                              type: array
                              items:
                                anyOf:
                                  - title: Delay Node
                                    description: >-
                                      Delays a users progression through the
                                      journey for either a set amount of time,
                                      or until a specific date time.
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      type:
                                        type: string
                                        enum:
                                          - DelayNode
                                      variant:
                                        anyOf:
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - Second
                                              seconds:
                                                type: number
                                            required:
                                              - type
                                              - seconds
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - LocalTime
                                              minute:
                                                type: number
                                              hour:
                                                type: number
                                              allowedDaysOfWeek:
                                                type: array
                                                items:
                                                  anyOf:
                                                    - type: number
                                                      enum:
                                                        - 0
                                                    - type: number
                                                      enum:
                                                        - 1
                                                    - type: number
                                                      enum:
                                                        - 2
                                                    - type: number
                                                      enum:
                                                        - 3
                                                    - type: number
                                                      enum:
                                                        - 4
                                                    - type: number
                                                      enum:
                                                        - 5
                                                    - type: number
                                                      enum:
                                                        - 6
                                            required:
                                              - type
                                              - hour
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - UserProperty
                                              userProperty:
                                                type: string
                                              offsetSeconds:
                                                type: number
                                              offsetDirection:
                                                anyOf:
                                                  - type: string
                                                    enum:
                                                      - after
                                                  - type: string
                                                    enum:
                                                      - before
                                            required:
                                              - type
                                              - userProperty
                                      child:
                                        type: string
                                    required:
                                      - id
                                      - type
                                      - variant
                                      - child
                                  - title: Rate Limit Node
                                    description: >-
                                      Used to limit the frequency with which
                                      users are contacted by a given Journey.
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      type:
                                        type: string
                                        enum:
                                          - RateLimitNode
                                    required:
                                      - id
                                      - type
                                  - title: Segment Split Node
                                    description: >-
                                      Used to split users among audiences, based
                                      on the behavior and attributes.
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      type:
                                        type: string
                                        enum:
                                          - SegmentSplitNode
                                      variant:
                                        type: object
                                        properties:
                                          type:
                                            type: string
                                            enum:
                                              - Boolean
                                          segment:
                                            type: string
                                          trueChild:
                                            type: string
                                          falseChild:
                                            type: string
                                        required:
                                          - type
                                          - segment
                                          - trueChild
                                          - falseChild
                                      name:
                                        type: string
                                    required:
                                      - id
                                      - type
                                      - variant
                                  - title: Message Node
                                    description: >-
                                      Used to contact a user on a message
                                      channel.
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      type:
                                        type: string
                                        enum:
                                          - MessageNode
                                      name:
                                        type: string
                                      subscriptionGroupId:
                                        type: string
                                      variant:
                                        anyOf:
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - Email
                                              templateId:
                                                type: string
                                              providerOverride:
                                                anyOf:
                                                  - type: string
                                                    enum:
                                                      - SendGrid
                                                  - type: string
                                                    enum:
                                                      - AmazonSes
                                                  - type: string
                                                    enum:
                                                      - Resend
                                                  - type: string
                                                    enum:
                                                      - PostMark
                                                  - type: string
                                                    enum:
                                                      - Smtp
                                                  - type: string
                                                    enum:
                                                      - Test
                                                  - type: string
                                                    enum:
                                                      - MailChimp
                                            required:
                                              - type
                                              - templateId
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - MobilePush
                                              templateId:
                                                type: string
                                              providerOverride:
                                                anyOf:
                                                  - type: string
                                                    enum:
                                                      - Firebase
                                                  - type: string
                                                    enum:
                                                      - Apns
                                                  - type: string
                                                    enum:
                                                      - Test
                                            required:
                                              - type
                                              - templateId
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - Sms
                                              templateId:
                                                type: string
                                              providerOverride:
                                                anyOf:
                                                  - type: string
                                                    enum:
                                                      - Twilio
                                                  - type: string
                                                    enum:
                                                      - Test
                                            required:
                                              - type
                                              - templateId
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - Webhook
                                              templateId:
                                                type: string
                                            required:
                                              - type
                                              - templateId
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - Whatsapp
                                              templateId:
                                                type: string
                                              providerOverride:
                                                anyOf:
                                                  - type: string
                                                    enum:
                                                      - Twilio
                                                  - type: string
                                                    enum:
                                                      - Test
                                            required:
                                              - type
                                              - templateId
                                      child:
                                        type: string
                                      syncProperties:
                                        type: boolean
                                    required:
                                      - id
                                      - type
                                      - variant
                                      - child
                                  - title: Experiment Split Node
                                    description: >-
                                      Used to split users among experiment
                                      paths, to test their effectiveness.
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      type:
                                        type: string
                                        enum:
                                          - ExperimentSplitNode
                                      name:
                                        type: string
                                      variants:
                                        type: array
                                        items:
                                          title: Experiment Variant
                                          description: A variant in an experiment split node
                                          type: object
                                          properties:
                                            id:
                                              type: string
                                            name:
                                              type: string
                                            percentage:
                                              type: number
                                            childId:
                                              type: string
                                          required:
                                            - id
                                            - name
                                            - percentage
                                            - childId
                                      conversionEvents:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            eventName:
                                              type: string
                                            attributionWindowDays:
                                              type: number
                                          required:
                                            - eventName
                                            - attributionWindowDays
                                    required:
                                      - id
                                      - type
                                      - variants
                                      - conversionEvents
                                  - title: Wait For Node
                                    description: >-
                                      A node which waits for a user to enter a
                                      segment before progressing.
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      type:
                                        type: string
                                        enum:
                                          - WaitForNode
                                      timeoutSeconds:
                                        type: number
                                      timeoutChild:
                                        type: string
                                      segmentChildren:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            id:
                                              type: string
                                            segmentId:
                                              type: string
                                          required:
                                            - id
                                            - segmentId
                                    required:
                                      - id
                                      - type
                                      - timeoutSeconds
                                      - timeoutChild
                                      - segmentChildren
                          required:
                            - entryNode
                            - exitNode
                            - nodes
                      required:
                        - version
                        - liveFrom
                        - liveUntil
                        - isLive
                        - summary
                        - publishedBy
                        - definition
                required:
                  - versions
      security:
        - adminApiKey: []
components:
  securitySchemes:
    adminApiKey:
      type: http
      scheme: bearer
      description: >-
        An Admin API key, sent as `Authorization: Bearer <key>`. Create one in
        Settings.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.